MySQL 4.x — различия между версиями

Материал из ALT Linux Wiki
Перейти к: навигация, поиск
м (содержимое неактуально, да и paq уже давно нет)
 
Строка 1: Строка 1:
[[Category:Devel]]
+
#REDIRECT [[MySQL]]
[[Category:MySQL]]
 
 
 
'''Внимание. 2006 год.'''
 
[[Участник:NickGrechukh]] (gns):
 
всем истосковавшимся по mysql 4.x:
 
 
 
rpm [http://paq.osdn.org.ua/~gns/mysql http://paq.osdn.org.ua/~gns/mysql]  i586  hasher
 
 
 
пакеты называются [[MySQL40|MySQL40]]-server и [[MySQL41|MySQL41]]-server соответственно, изготовлены на базе соответствующих сизифных.
 
 
 
known problem: для установки libMySQL40 надо удалить libmysqlclient12. варианты решения:
 
- поменять require в [[mysql|mysql]]-server и брать сизифную библиотеку.
 
- посотрудничать с [[mysql|mysql]] packaging team на предмет сборки в Сизиф [[mysql|mysql]] 4.x-server , сохраняя основным mysql 5. 
 
 
 
в новой сборке сделал по другому:
 
conflict: libmysqlclient12
 
provides: libmysqlclient12
 
 
 
php-mysql:
 
 
 
специальная сборка php-mysql не требуется - клиенты на mysql5 вполне себе работают с 4.x сервером. В системе могут одновременно стоять libMySQL (с которой собран php extension) и libMySQL40 (с которой собран сервер).
 

Текущая версия на 11:12, 13 марта 2013

Перенаправление на: